package com.zfire.jiasm.syncdata.constant;

import lombok.Getter;

/**
 * 字典类型
 * @author yaozx
 * @version 1.0
 * @date 2023-10-24
 */
@Getter
public enum AppealTimeSmallTypEnum {

    FIRST_APPEAL("1", "首次申诉-服务人员+网点审核截止时间"),
    SECOND_APPEAL("2", "二次申诉-服务人员+网点审核截止时间"),

    ;

    /**
     * 编码
     */
    private final String code;


    private final String text;

    AppealTimeSmallTypEnum(String code, String text) {
        this.code = code;
        this.text = text;
    }

    public static AppealTimeSmallTypEnum getByCode(String code) {
        for (AppealTimeSmallTypEnum item : values()) {
            if (code.equals(item.getCode())) {
                return item;
            }
        }
        return null;
    }

    /**
     * 通过code获取枚举
     * @param code: code
     * @return 对应枚举
     **/
    public static String getMessageByCode(String code) {
        String result = null;
        for (AppealTimeSmallTypEnum item : values()) {
            if (code.equals(item.getCode())) {
                result = item.getText();
                break;
            }
        }
        return result;
    }
}
